bitel.billing.server.task

## Class TEProcessManager

- java.lang.Object
- - java.lang.Thread
  - - bitel.billing.server.util.manager.ProcessManager
    - - bitel.billing.server.task.TEProcessManager

- All Implemented Interfaces:
    java.lang.Runnable

      public class TEProcessManager
      extends bitel.billing.server.util.manager.ProcessManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.util.manager.ProcessManager

      `port, run, s`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TEProcessManager(bitel.billing.server.TaskExecuter te, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `executeCommand(java.lang.String command)`

    - ### Methods inherited from class bitel.billing.server.util.manager.ProcessManager

      `run`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TEProcessManager

          public TEProcessManager(bitel.billing.server.TaskExecuter te,
                                  int port)

  - ### Method Detail

    - #### executeCommand

          protected java.lang.String executeCommand(java.lang.String command)

      Specified by:
        `executeCommand` in class `bitel.billing.server.util.manager.ProcessManager`